ZMQSocket::recvMulti
ZMQSocket::sendmulti
ZMQSocket
PHP Manual

# ZMQSocket::send

Sends a message

### Description

public ZMQSocket ZMQSocket::send ( string `$message` [, integer `$mode` = 0 ] )

Send a message using the socket. The operation can block unless `ZMQ::MODE_NOBLOCK` is used.

### Parameters

`message`

  The message to send.

`mode`

  Pass mode flags to receive multipart messages or non-blocking operation. See `ZMQ::MODE_*` constants.

### Return Values

Returns the current object. Throws ZMQSocketException on error. If `ZMQ::MODE_NOBLOCK` is used and the operation would block boolean false shall be returned.